RoutingEvent::Key(3)

NAME
RoutingEvent::Key - RoutingEvent cached key for maps.

SYNOPSIS

  Public Member Functions
void update (const RoutingEvent *)

Detailed Description

RoutingEvent cached key for maps. The key is used as a cache in RoutingEvent, that is, the RoutingEvent attributes could be modificated without the key changing. It is important for the key to remain stable as it used in the various event queue as the sorting attribute. The key should be updated only when the RoutingEvent is temporarily whidrawn from the queue.

Cached attributes: (used in that lexicographical order for sorting)

•   1 -- eventLevel.

•   2 -- canRipple.

•   3 -- priority.

•   4 -- length.

•   5 -- isHorizontal.

•   6 -- axis.

•   7 -- sourceU.

•   8 -- net (name).

•   9 -- id.

•   X -- slackenStrap unused.

•   X -- tracksNb unused.

It is internally managed by RoutingEvent and the queue.

Member Function Documentation

  update (const RoutingEvent * event)
Cache the value of the key from event.

Referenced by RoutingEvent::updateKey().

Author

Generated automatically by Doxygen for Kite - Detailed Router from the source code.